Sync with portage [Tue Aug 18 08:57:06 MSK 2020].

develop 1747
root 4 years ago
parent 6a3920df95
commit 10ea7848bb

Binary file not shown.

Binary file not shown.

@ -13,7 +13,7 @@ SRC_URI="mirror://gnu/gzip/${P}.tar.xz
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="pic static"
PATCHES=(

Binary file not shown.

@ -1,3 +1,2 @@
DIST rhash-1.3.6-src.tar.gz 328097 BLAKE2B c74993d183f0f2e479f0bd5831a9f653b9bd17bbed4d1ba896f6e33db98b7141175cd3c688dc41dfd8ec4b98acb51255ae5b795435cbc9dfb5ab77573cb25543 SHA512 54f7f238ed1fdc01c29cc1338fa86be90b69beff0df8f20d24ce9cb3c48c7f4668b84a3fe0d4d8b04b54bc8145485d493435edf3219de3a637af0f9c007c85c6
DIST rhash-1.3.8-src.tar.gz 393544 BLAKE2B c326b3fa6dbc5ea2cce40105dc319456fdcc58140a05e8002bf1d92be921d8bbd27bf670370ba7cf2ff2001ff70ddbeb8efc9712869a7b215c5f51a5e493b5c9 SHA512 9dba4fa4dd49d323f2e440c5b93eac1ef62eb4046ec4ef611f0978c12c1739002f1ac1f1ec5e61bd359dc89e9ed612db71be91a795184ac5d5433280d27fa4c1
DIST rhash-1.3.9-src.tar.gz 403415 BLAKE2B 49f3b9348485b83521f58fa1de30517b05a8265547cbec3276d89c42b46baccc4ea22d41638764600c76669308a5f7d9d3995b7cec51676c9f8492ba740e473c SHA512 6fae0587cdeb42df59d542c58bad734259d1ff39fba92531c10a469b51310644669ffbe0453e72d85c2cf38b176962f6dca9062a121ac019f1b30f207a176e60
DIST rhash-1.4.0-src.tar.gz 406433 BLAKE2B 2af437cd3a049bb9473825026f8a6476c81b4400a47638c62ee3ecb3d3984f7f9fe97def91488094a2919e5baad967d3f49ec7d95363896e270251ad085bacac SHA512 2f02487fffe8d1bc70c4454829bbd250a15fbd09db5ef85c54d3e8ad1008e84616ea54483292deae45047a27964e27b26d9b3da8447e7c37dac1e2ce18a63a07

@ -1,22 +0,0 @@
From a165520d3f63e976dd3b842c2fbb05f05f1029a8 Mon Sep 17 00:00:00 2001
From: Aleksey <rhash.admin@gmail.com>
Date: Sun, 15 Dec 2019 03:35:09 +0300
Subject: [PATCH] i18n: fix a string in uk.po by adding newline
---
po/uk.po | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/po/uk.po b/po/uk.po
index 959e47a..d6c0b1d 100644
--- a/po/uk.po
+++ b/po/uk.po
@@ -234,7 +234,7 @@ msgstr "Перевірити хеш-файли, вказані у командн
#: parse_cmdline.c:91
msgid "Update the specified hash file.\n"
-msgstr "Оновити вказаний хеш-файл"
+msgstr "Оновити вказаний хеш-файл.\n"
#: parse_cmdline.c:92
msgid "Rename files by inserting crc32 sum into name.\n"

@ -1,230 +0,0 @@
diff --git a/ChangeLog b/ChangeLog
index 8537968..9724c9d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Tue 07 Jan 2020 Aleksey
+ * Bugfix: restore behavior of 'rhash -rc' to be the same as in v1.3.8
+ * Bugfix: fix a segfault and memory errors
+
Sat 14 Dec 2019 Aleksey
* === Version 1.3.9 ===
diff --git a/calc_sums.c b/calc_sums.c
index a76c8c9..0f25224 100644
--- a/calc_sums.c
+++ b/calc_sums.c
@@ -535,6 +535,7 @@ int check_hash_file(file_t* file, int chdir)
log_error_msg_file_t(_("file is binary: %s\n"), file);
if (fd != stdin)
fclose(fd);
+ file_cleanup(&parent_dir);
return -1;
}
@@ -586,6 +587,7 @@ int check_hash_file(file_t* file, int chdir)
rhash_data.miss++;
rhash_data.processed++;
}
+ file_cleanup(&parent_dir);
time = rsh_timer_stop(&timer);
if (res >= -1 && (rsh_fprintf(rhash_data.out, "%s\n", str_set(buf, '-', 80)) < 0 ||
diff --git a/file.c b/file.c
index 6f593f9..2f0eb2a 100644
--- a/file.c
+++ b/file.c
@@ -266,7 +266,7 @@ static int detect_path_encoding(file_t* file, wchar_t* dir_path, const char* pri
int i;
assert(file && !file->real_path);
file->mode &= ~FileMaskStatBits;
- if (!dir_path && ascii)
+ if (ascii)
file->mode |= FileIsAsciiPrintPath;
/* detect encoding in two or four steps */
for (i = 0; i < 4; i += step) {
@@ -333,45 +333,39 @@ int file_init_by_print_path(file_t* file, file_t* prepend_dir, const char* print
#ifdef _WIN32
{
const char** primary_path;
- const char* dir_primary_path;
wchar_t* dir_path = (prepend_dir && !IS_DOT_TSTR(prepend_dir->real_path) ? prepend_dir->real_path : NULL);
int encoding = detect_path_encoding(file, dir_path, print_path, init_flags);
if (encoding < 0)
return -1;
if (encoding == 0) {
primary_path = &file->print_path;
- dir_primary_path = (prepend_dir ? file_get_print_path(prepend_dir, FPathUtf8) : NULL);
} else {
primary_path = &file->native_path;
- dir_primary_path = (prepend_dir ? file_get_print_path(prepend_dir, FPathNative) : NULL);
}
- if ((!dir_primary_path || IS_DOT_TSTR(dir_primary_path)) &&
- (init_flags & (FileInitReusePath | FileInitUpdatePrintPathLastSlash)) == FileInitReusePath) {
+ if ((init_flags & (FileInitReusePath | FileInitUpdatePrintPathLastSlash)) == FileInitReusePath) {
*primary_path = print_path;
file->mode |= (encoding == 0 ? FileDontFreePrintPath : FileDontFreeNativePath);
} else {
- *primary_path = make_path(dir_primary_path, print_path, 1);
+ *primary_path = rsh_strdup(print_path);
}
- return 0;
}
#else
if (!prepend_dir || IS_DOT_STR(prepend_dir->real_path)) {
- file_init(file, print_path, init_flags);
+ file_init(file, print_path, init_flags & (FileInitReusePath | FileMaskModeBits));
} else {
- const char* path = make_path(prepend_dir->real_path, print_path, 0);
- file_init(file, path, init_flags & ~FileInitReusePath);
+ file->real_path = make_path(prepend_dir->real_path, print_path, 0);
+ file->mode = init_flags & FileMaskModeBits;
}
- if (!prepend_dir || IS_DOT_STR(prepend_dir->print_path) ||
- (!prepend_dir->print_path && opt.path_separator != ALIEN_PATH_SEPARATOR)) {
- if ((init_flags & FileInitReusePath) != 0) {
- file->print_path = print_path;
- file->mode |= FileDontFreePrintPath;
- } else
- file->print_path = rsh_strdup(print_path);
+ assert(file->print_path == NULL);
+ if ((init_flags & (FileInitReusePath | FileInitUpdatePrintPathLastSlash)) == FileInitReusePath) {
+ file->print_path = print_path;
+ file->mode |= FileDontFreePrintPath;
} else {
- file->print_path = make_path(file_get_print_path(prepend_dir, FPathPrimaryEncoding), print_path, 1);
+ file->print_path = rsh_strdup(print_path);
}
#endif
+ /* note: flag FileInitUpdatePrintPathLastSlash is used only with file_init() */
+ assert((init_flags & FileInitUpdatePrintPathLastSlash) == 0);
if ((init_flags & (FileInitRunFstat | FileInitRunLstat)) &&
file_stat(file, (init_flags & FileInitRunLstat)) < 0)
return -1;
@@ -544,9 +538,10 @@ static char* get_modified_path(const char* path, const char* str, int operation)
end_pos = strlen(path);
start_pos = (end_pos > 0 ? end_pos - 1 : 0);
for (; start_pos > 0 && !IS_ANY_SLASH(path[start_pos]); start_pos--);
- for (; start_pos > 0 && IS_ANY_SLASH(path[start_pos]); start_pos--);
- if (start_pos == 0)
+ if (start_pos == 0 && !IS_ANY_SLASH(path[start_pos]))
return rsh_strdup(".");
+ for (; start_pos > 0 && IS_ANY_SLASH(path[start_pos]); start_pos--);
+ start_pos++;
} else {
char* point = strrchr(path, '.');
if (!point)
@@ -580,9 +575,10 @@ static tpath_t get_modified_tpath(ctpath_t path, const char* str, int operation)
end_pos = wcslen(path);
start_pos = (end_pos > 0 ? end_pos - 1 : 0);
for (; start_pos > 0 && !IS_ANY_TSLASH(path[start_pos]); start_pos--);
- for (; start_pos > 0 && IS_ANY_TSLASH(path[start_pos]); start_pos--);
- if (start_pos == 0)
+ if (start_pos == 0 && !IS_ANY_TSLASH(path[start_pos]))
return rsh_wcsdup(L".");
+ for (; start_pos > 0 && IS_ANY_TSLASH(path[start_pos]); start_pos--);
+ start_pos++;
} else {
rsh_tchar* point = wcsrchr(path, L'.');
if (!point)
diff --git a/hash_check.c b/hash_check.c
index 1f9c936..582a09d 100644
--- a/hash_check.c
+++ b/hash_check.c
@@ -210,9 +210,9 @@ static int detect_hash_type(char** ptr, char* end, int* p_len)
} else {
/* search backward (but no more then 129 symbols) */
if ((p - end) >= 129) end = p - 129;
- for (; p >= end && p[-1] == '='; eq_num++, p--)
+ for (; p > end && p[-1] == '='; eq_num++, p--)
char_type = FmtBase64;
- for (; p >= end && (next_type &= test_hash_char(p[-1])); len++, p--)
+ for (; p > end && (next_type &= test_hash_char(p[-1])); len++, p--)
char_type = next_type;
}
if ((char_type & FmtBase64) != 0)
diff --git a/tests/test_rhash.sh b/tests/test_rhash.sh
index 8c6e40d..db41b19 100755
--- a/tests/test_rhash.sh
+++ b/tests/test_rhash.sh
@@ -84,12 +84,9 @@ remove_tmpdir()
trap remove_tmpdir EXIT
# prepare test files
-SUBDIR=$RHASH_TMP/dir1
-mkdir $RHASH_TMP $SUBDIR || die "Unable to create tmp dir."
+mkdir $RHASH_TMP || die "Unable to create tmp dir."
+cp "$SCRIPT_DIR/test1K.data" $RHASH_TMP/test1K.data
cd "$RHASH_TMP"
-cp "$SCRIPT_DIR/test1K.data" test1K.data
-FILE_A=dir1/a.txt
-printf "a" > $FILE_A
# get the list of supported hash options
HASHOPT="`$rhash --list-hashes|sed 's/ .*$//;/[^23]-/s/-\([0-9R]\)/\1/'|tr A-Z a-z`"
@@ -207,14 +204,13 @@ TEST_EXPECTED="(message) 1 E8B7BE43 5c334qy BTAXLOOA6G3KQMODTHRGS5ZGME hvfkN/qlp
check "$TEST_RESULT" "$TEST_EXPECTED"
new_test "test %u modifier: "
-cp $FILE_A "dir1/=@+.txt"
+mkdir dir1 && printf "a" > "dir1/=@+.txt"
TEST_RESULT=$( $rhash -p '%uf %Uf %up %Up %uxc %uxC %ubc %ubC\n' "dir1/=@+.txt" )
TEST_EXPECTED="%3d%40%2b.txt %3D%40%2B.txt dir1%2f%3d%40%2b.txt dir1%2F%3D%40%2B.txt e8b7be43 E8B7BE43 5c334qy 5C334QY"
check "$TEST_RESULT" "$TEST_EXPECTED" .
TEST_RESULT=$( $rhash -p '%uBc %UBc %Bc %u@c %U@c\n' -m "a" )
TEST_EXPECTED="6Le%2bQw%3d%3d 6Le%2BQw%3D%3D 6Le+Qw== %e8%b7%beC %E8%B7%BEC"
check "$TEST_RESULT" "$TEST_EXPECTED"
-rm -f "dir1/=@+.txt"
new_test "test special characters: "
TEST_RESULT=$( $rhash -p '\63\1\277\x0f\x1\t\\ \x34\r' -m "" )
@@ -252,7 +248,9 @@ TEST_RESULT=$( $rhash --simple -a test1K.data | $rhash -vc - 2>/dev/null | grep
match "$TEST_RESULT" "^test1K.data *OK"
new_test "test checking magnet link: "
-TEST_RESULT=$( $rhash --magnet -a test1K.data | $rhash -vc - 2>&1 | grep test1K.data )
+# also test that '--check' verifies files in the current directory
+mkdir magnet_dir && $rhash --magnet -a test1K.data > magnet_dir/t.magnet
+TEST_RESULT=$( $rhash -vc magnet_dir/t.magnet 2>&1 | grep test1K.data )
TEST_EXPECTED="^test1K.data *OK"
match "$TEST_RESULT" "$TEST_EXPECTED"
@@ -283,6 +281,20 @@ TEST_RESULT=$( $rhash --simple --embed-crc --embed-crc-delimiter=_ 'test.data' 2
check "$TEST_RESULT" "d3d99e8b test_[D3D99E8B].data"
rm 'test_[D3D99E8B].data' 'test_[D3D99E8C].data'
+new_test "test checking recursively: "
+mkdir -p check/a && cp test1K.data check/a/b.data
+echo "a/b.data B70B4C26" > check/b.sfv
+TEST_RESULT=$( $rhash -Crc check/ | grep b.data )
+match "$TEST_RESULT" "^a/b.data *OK" .
+echo "B70B4C26" > check/a/b.data.crc32
+TEST_RESULT=$( $rhash --crc-accept=.crc32 -Crc check/a | grep "data.*OK" )
+match "$TEST_RESULT" "^check/a.b.data *OK" .
+# test that hash-files specified explicitly by command line are checked
+# in the current directory even with '--recursive' option
+echo "test1K.data B70B4C26" > check/t.sfv
+TEST_RESULT=$( $rhash -Crc check/t.sfv | grep "data.*OK" )
+match "$TEST_RESULT" "^test1K.data *OK"
+
new_test "test wrong sums detection: "
$rhash -p '%c\n%m\n%e\n%h\n%g\n%t\n%a\n%w\n' -m WRONG > t.sum
TEST_RESULT=$( $rhash -vc t.sum 2>&1 | grep 'OK' )
@@ -290,8 +302,7 @@ check "$TEST_RESULT" ""
rm t.sum
new_test "test *accept options: "
-rm -rf test_dir/
-mkdir -p test_dir && touch test_dir/file.txt test_dir/file.bin
+mkdir test_dir && touch test_dir/file.txt test_dir/file.bin
# correctly handle MIGW posix path conversion
echo "$MSYSTEM" | grep -q '^MINGW[36][24]' && SLASH=// || SLASH="/"
# test also --path-separator option
@@ -301,7 +312,6 @@ TEST_RESULT=$( $rhash -rC --simple --accept=.txt --path-separator=\\ test_dir )
check "$TEST_RESULT" "00000000 test_dir\\file.txt" .
TEST_RESULT=$( $rhash -rc --crc-accept=.bin test_dir 2>/dev/null | sed -n '/Verifying/s/-//gp' )
match "$TEST_RESULT" "( Verifying test_dir.file\\.bin )"
-rm -rf test_dir/
new_test "test ignoring of log files: "
touch t1.out t2.out

@ -1,80 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs multilib-minimal
DESCRIPTION="Console utility and library for computing and verifying file hash sums"
HOMEPAGE="http://rhash.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${P}-src.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="debug nls libressl ssl static-libs"
RDEPEND="
ssl? (
!libressl? ( dev-libs/openssl:0=[${MULTILIB_USEDEP}] )
libressl? ( dev-libs/libressl:0=[${MULTILIB_USEDEP}] )
)"
DEPEND="
${RDEPEND}
"
BDEPEND="
nls? ( sys-devel/gettext )
"
S="${WORKDIR}/RHash-${PV}"
src_prepare() {
default
# fix Solaris detection, upstream:
# https://github.com/rhash/RHash/pull/81
sed -i -e 's/sunos)/solaris2.*)/' configure || die
# fix Cygwin detection, upstream:
# https://github.com/rhash/RHash/pull/89
sed -i -e '/TARGET_OS=Darwin/acygwin*) TARGET_OS=CYGWIN ;;' configure || die
multilib_copy_sources
}
multilib_src_configure() {
set -- \
./configure \
--target="${CHOST}" \
--cc="$(tc-getCC)" \
--ar="$(tc-getAR)" \
--extra-cflags="${CFLAGS}" \
--extra-ldflags="${LDFLAGS}" \
--prefix="${EPREFIX}"/usr \
--libdir="${EPREFIX}"/usr/$(get_libdir) \
--sysconfdir="${EPREFIX}"/etc \
--disable-openssl-runtime \
--disable-static \
--enable-lib-shared \
$(use_enable debug) \
$(use_enable nls gettext) \
$(use_enable ssl openssl) \
$(use_enable static-libs lib-static)
echo "${@}"
"${@}" || die "configure failed"
}
# We would add compile-gmo to the build targets but install-gmo always
# recompiles unconditionally. :(
multilib_src_install() {
# -j1 needed due to race condition.
emake DESTDIR="${D}" -j1 \
install{,-lib-headers,-pkg-config} \
$(use nls && echo install-gmo) \
$(use kernel_Winnt || echo install-lib-so-link)
}
multilib_src_test() {
emake test
}

@ -30,13 +30,6 @@ BDEPEND="
S="${WORKDIR}/RHash-${PV}"
PATCHES=(
"${FILESDIR}"/${P}-nls.patch
# Fixes for https://github.com/rhash/RHash/issues/104
# and https://github.com/rhash/RHash/issues/106
"${FILESDIR}"/${P}-rc-segfault.patch
)
src_prepare() {
default
multilib_copy_sources

Binary file not shown.

@ -17,7 +17,7 @@ SLOT="0"
IUSE="+introspection +python gtk-doc spell vala"
REQUIRED_USE="python? ( introspection ${PYTHON_REQUIRED_USE} )"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~ia64 ~x86"
# X libs are not needed for OSX (aqua)
DEPEND="

Binary file not shown.

@ -11,7 +11,7 @@ if [[ ${PV} == *9999 ]];then
EGIT_REPO_URI="https://git.launchpad.net/cloud-init"
else
SRC_URI="https://launchpad.net/${PN}/trunk/${PV}/+download/${P}.tar.gz"
KEYWORDS="~amd64 x86"
KEYWORDS="amd64 x86"
fi
DESCRIPTION="Cloud instance initialisation magic"

Binary file not shown.

@ -9,7 +9,7 @@ SRC_URI="https://dev.gentoo.org/~chutzpah/dist/iptables/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~riscv ~s390 ~sparc x86"
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~riscv ~s390 sparc x86"
RDEPEND="app-admin/eselect"

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://www.freedesktop.org/software/uchardet/releases/${P}.tar.xz"
LICENSE="|| ( MPL-1.1 GPL-2+ LGPL-2.1+ )"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ppc ppc64 sparc x86"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ppc ppc64 sparc x86"
IUSE="cpu_flags_x86_sse2 static-libs test"
RESTRICT="!test? ( test )"

Binary file not shown.

@ -17,7 +17,7 @@ LICENSE="GPL-2"
SLOT="0"
IUSE=""
KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
DEPEND="
sys-apps/portage[${PYTHON_USEDEP}]"

@ -1,3 +1,3 @@
DIST portage-utils-0.80.tar.xz 1762692 BLAKE2B 32e4502d517ec088eadf17a4a348b9b9bc33348380b65f93ac7c043150732ba3ff0d18ee96f8877c697a91000fdc036de392d6e6711d62248bb7c57e25d4433f SHA512 cca86877e87e5bd2e9423822db4b7afa15e8f291717c808ef0455b121db0778b2364552e9f1d5e1a8bad3f1f8880ae2b5dbd586bf1dd74d7c4f4e72fa990c78c
DIST portage-utils-0.87.tar.xz 1772956 BLAKE2B b1487d89303b524ffa9e6030feba181fcad73a6f38febf29f63b1f7bcd7a5080ddb1f907ca217040d064427f2060bb3885a61c30663594428be475a5bf7253f0 SHA512 a29f2d1fc85aea1c2b4c8b16fca0e9b559a980951f79cb10d7fd836d99ec65a904f2cbc54a949150ce490ba5d705b0aa5aa39f56365968b3dd591cb3d7c5eb21
DIST portage-utils-0.88.tar.xz 1776100 BLAKE2B 5165c99f163a39e2d8e9d503a43982999e70ff647af16acaae84279d17c327e78c2722fa9f332c570e8bfed7647ebb7f96281c3ed2c42948234fb23192e73ca5 SHA512 f5bddd170b66753bf3abd870add6f893e31ae971cc15f3b34366fbbd6d69848aa8aa301bbf3e4185f152ce110e890178828f867e64d8ede74c17e819c2961562
DIST portage-utils-0.89.tar.xz 1775088 BLAKE2B 6218cd3a5a435622366550857753529b38a8c2c9dbc2c9d72d3ce8517679fb782caded843807cebd606294a5ecb6dd110311e8da95d54626126b091ee902ab1d SHA512 c285901f1200f0ee81a4cd12840f5b4938fa525ce3611458287d6f5439c78b9ecf5ec0dc40d759fe5e6a848d4fd13b6d9ac38222ebf2c4453a60f9fdb842a55c

@ -15,12 +15,10 @@ if [[ ${PV} == *9999 ]]; then
EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/portage-utils.git"
else
SRC_URI="https://dev.gentoo.org/~grobian/distfiles/${P}.tar.xz"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
RDEPEND="
static? ( dev-libs/iniparser:0[static-libs] )
!static? ( dev-libs/iniparser:0 )
qmanifest? (
openmp? (
|| (
@ -71,17 +69,3 @@ src_configure() {
$(use_enable openmp) \
$(use_enable static)
}
pkg_postinst() {
local pvr
local doshow=
for pvr in ${REPLACING_VERSIONS} ; do
[[ ${pvr} != "0.8"[01]* ]] && doshow=true
done
if [[ ${doshow} == true ]] ; then
elog "This version of Portage utils has undergone significant changes."
elog "Please read the elog manpages for applets like qlop(1) and"
elog "qfile(1) where argument options have changed."
fi
}

Binary file not shown.

@ -0,0 +1 @@
DIST fb2edit-0.1.0.tar.gz 244667 BLAKE2B 332ba2801a346ef667760ff9f116aec6ae3ef93c7d862884514982bcc6adfd5413b22beb40859cc28ca297548e2e8f1c95885c2e68734c554922965d53c8f7ab SHA512 f13d45987a513fa9ea8139b195cda77dd39d4d680b5a826882b8b9d6d5704f10ed4b447070f1de39997b3be0fafa8378fe1261ff2d1e53cf9b3225c07a293d08

@ -0,0 +1,22 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit cmake
DESCRIPTION="Create and edit fb2 books"
HOMEPAGE="https://github.com/vitlav/fb2edit"
SRC_URI="https://github.com/vitlav/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
RDEPEND="dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
dev-qt/qtwebkit:5
dev-qt/qtnetwork:5
dev-qt/qtxml:5
dev-qt/qtxmlpatterns:5
dev-qt/linguist-tools:5
dev-libs/libxml2:2"
BDEPEND="${RDEPEND}"

@ -0,0 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>grozin@gentoo.org</email>
</maintainer>
<upstream>
<remote-id type="github">vitlav/fb2edit</remote-id>
</upstream>
</pkgmetadata>

@ -23,7 +23,7 @@ fi
LICENSE="AGPL-3 CPL-1.0"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 s390 sparc x86"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 s390 sparc x86"
IUSE="cups dbus gtk l10n_de static-libs tiff unicode X"
LANGS="ja ko zh-CN zh-TW"

Binary file not shown.

@ -16,7 +16,7 @@ DIST mariadb-10.4.13-patches-03.tar.xz 5520 BLAKE2B 949b7f6ee5a9a6077424264e53d2
DIST mariadb-10.4.13.tar.gz 80608459 BLAKE2B e9ada14da6ec7492311068549a5b6e5a66e1177312013b25472c084a21fbace543ec43b47f2e12190d45432648d508f311198521f42359561f8d75ea60f98205 SHA512 68919ceffb3d4afdd0d94daa77439a954c82ce4e08fbe06044fc397940eeb88a39ec75932cbd08ff26ef3cf7636fdb779947cda5b2764aa1fd888be19c44b566
DIST mariadb-10.4.14-patches-01.tar.xz 5512 BLAKE2B f32e1d383ffd99de431bc34c36101c71c5e631344527e96b80ca6bd0a68015b45a4c33d6f0518cb4aa2bcfd493b64b6607671450ca045243404c0d65ebbc66fd SHA512 201fe82cbcca705dba52b32405d463b5569d97a5ffd9fd2967ec7fc3c3ff305011b3d2c3c0e9f7c19aaac57b26661bd361f3b6da6f3812f25934ec18856c7051
DIST mariadb-10.4.14.tar.gz 80789865 BLAKE2B fed455e906af9fe105f52cc7180a6b8d8839fdbffac079f2ced265741c2ab8010c78c0e75ff77740d45a2bd02a15c379bdb3a0237152848a0ce1a7aaac4cbf32 SHA512 c09817c1dd7962132bcf2886c97ad17ce43c00ee687724028e5f39f6a6a93877ae8695c2c795abba6a4f3bc40674f93a53d6d43f46788a4a8a42c4a65a22c91c
DIST mariadb-10.5.5-patches-01.tar.xz 5540 BLAKE2B 6d88b3486d0a92dd62117e065a11e2789cb318385b936b471c101f166793019e1eda74d7e56faa29ce8158d24f9544aff28405ffdb70bf82e22747503099ed54 SHA512 486f518a0d7ee9b38a1aaa4b24ef3c30df285bf0864b5b88ac26f36274736ee14e683c4afc652713b7040c78faeffd495be05869b18ed9563f64f9dfbacfb636
DIST mariadb-10.5.5-patches-02.tar.xz 6060 BLAKE2B 185a2016836721f76c19228ca39c1c7610c34210e23b42f254e4c4fde34c74d9c77bb0d1a441175c14938ecafea3e9575fa3b7349db826aef63e7d7e7a21901a SHA512 8a26bdbec19d45739ef7accd3cea999bde465714141532d999500df2ebd93bb98a00b8b86b1e855ea4f0cba6984b21ff09beee75372f840282a91f5dc95db432
DIST mariadb-10.5.5.tar.gz 86880268 BLAKE2B 58430dd4e7199d674bbd4f7381a56129e067ed1bb30c171545fe9fac3a83f7db2c57cc1b577ef242deb99dd69e17a1d3cbf756031711d27b04c97a7e93e14c60 SHA512 09bed291b39142f8e2f40eabbb443f6f384368b331406a09fd92d3d27ecc75644219066850d89495ed65c6f0d3ac32d51e29e65375331dcc2de4801313178d45
DIST mariadb-5.5.68.tar.gz 45969389 BLAKE2B 5b3a647649c614825adccbc83faa40ba330dae0a1f8005b2297cc6a44fbc00bf817f2d854af315f995e1065bd4d14a2f21a9cec44b5c78402524467d876d8157 SHA512 3419790aa88a7e2a5d80e56ca94683d22ca2d5d817dfe19904d11454f34cfc3b9d55e603295ea58580a3c9fe96a6c6f9b650e1058c4e8f2f2e82f09165436865
DIST mysql-extras-20190305-2052Z.tar.bz2 331304 BLAKE2B 1d2c35a961159fa5ce9ee6699fce943f5a5b5cf60b11c9bb4bcccee4943f4508a9eb6d01050c642353ac592ce1a6b421abf2a1bebc706c44c4c8a36aa698ec43 SHA512 ae63403320e010acbb92f8aec6da8ed4f267cef0bad37147d594076fd94571de7f98bfc2afbe94af5d716f58d57696fd958b1e13e20e87052f252ed4a188cd3c

@ -10,7 +10,7 @@ inherit eutils systemd flag-o-matic prefix toolchain-funcs \
multiprocessing java-pkg-opt-2 cmake
# Patch version
PATCH_SET="https://dev.gentoo.org/~whissi/dist/${PN}/${PN}-10.5.5-patches-01.tar.xz"
PATCH_SET="https://dev.gentoo.org/~whissi/dist/${PN}/${PN}-10.5.5-patches-02.tar.xz"
SRC_URI="https://downloads.mariadb.org/interstitial/${P}/source/${P}.tar.gz
${PATCH_SET}"

Binary file not shown.

@ -18,7 +18,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="PSF-2"
SLOT="${PYVER}"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86"
IUSE="bluetooth build examples gdbm hardened ipv6 libressl +ncurses +readline sqlite +ssl test tk wininst +xml"
RESTRICT="!test? ( test )"

@ -19,7 +19,7 @@ SRC_URI="https://archive.mozilla.org/pub/js/${TARBALL_P}.tar.gz
LICENSE="NPL-1.1"
SLOT="0/mozjs185"
KEYWORDS="~alpha ~amd64 arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 x86 ~x64-macos"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 x86 ~x64-macos"
IUSE="debug minimal static-libs test"
RESTRICT="!test? ( test )"

@ -16,7 +16,7 @@ SRC_URI="http://ftp.mozilla.org/pub/spidermonkey/prereleases/52/pre1/mozjs-52.9.
LICENSE="NPL-1.1"
SLOT="52"
KEYWORDS="~alpha ~amd64 arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 x86"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 x86"
IUSE="debug minimal +system-icu test"
RESTRICT="!test? ( test ) ia64? ( test )"

Binary file not shown.

@ -26,7 +26,7 @@ else
fi
DESCRIPTION="A ROS-independent package for logging into rosconsole/rosout"
HOMEPAGE="http://wiki.ros.org/console_bridge"
HOMEPAGE="https://wiki.ros.org/console_bridge"
LICENSE="BSD"
SLOT="0/1"
IUSE="test"

@ -26,7 +26,7 @@ else
fi
DESCRIPTION="A ROS-independent package for logging into rosconsole/rosout"
HOMEPAGE="http://wiki.ros.org/console_bridge"
HOMEPAGE="https://wiki.ros.org/console_bridge"
LICENSE="BSD"
SLOT="0/1"
IUSE="test"

@ -12,7 +12,7 @@ SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="common-lisp nls static-libs"
RDEPEND="nls? ( >=virtual/libintl-0-r1[${MULTILIB_USEDEP}] )"

@ -11,7 +11,7 @@ SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
LICENSE="LGPL-2.1+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="static-libs"
src_prepare() {

@ -20,7 +20,7 @@ SRC_URI="http://download.librdf.org/source/${P}.tar.gz"
LICENSE="Apache-2.0 GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-linux"
KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~ppc ~ppc64 sparc ~x86 ~x86-linux"
IUSE="lua perl python php ruby test"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
RESTRICT="!test? ( test )"

@ -11,7 +11,7 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/${P}/${P}.tar.bz2"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
IUSE="doc qt5 test unicode"
RDEPEND=""

@ -9,7 +9,7 @@ inherit perl-module
DESCRIPTION="A Module::Build subclass for building Alien:: modules and their libraries"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~s390 ~sparc ~x86"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Build external dependencies for use in CPAN"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~s390 ~sparc ~x86"
IUSE="minimal test zip"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Generic archive extracting mechanism"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~s390 ~sparc ~x86"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Create DateTime parser classes and objects"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~x86-solaris"
IUSE="minimal test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Find memory cycles in objects"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="uses File::Copy to recursively copy dirs"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~s390 ~sparc ~x86"
IUSE="test"
RESTRICT="!test? ( test )"

@ -1,4 +1,4 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -24,7 +24,7 @@ SLOT="0"
IUSE="test"
RESTRICT="!test? ( test )"
DZIL_PLUGINS=( Git SurgicalPodWeaver RPM AuthorsFromGit )
DZIL_PLUGINS=( Git PodWeaver AuthorsFromGit )
RDEPEND="
virtual/perl-Carp

@ -1,2 +1,2 @@
DIST Lab-Measurement-3.682.tar.gz 619504 BLAKE2B 58e82472ee7811d787ca0f1b691c73a1f52e2bafbb9e19dc8989c58d58fea8f2a58d105cf5b74d7f6d627e8d9106060476f7c683281db52a10e8dbd70fec489f SHA512 fd4fcd6e1e321788429f46593fc86c2cc705437a7511021636f70018e565cfc5647d9a2fb6adbf6d23858f7d0e9b61356b4ce550f94481559c3285a85442994d
DIST Lab-Measurement-3.692.tar.gz 609567 BLAKE2B 0e73254415927cf4a6454aa33ffe5408d23b2f7ab0773fe35b12096879bbd618eb856cb99b8611d61a72926d55d4c8a2ef1aecc354b6246fa0ee27f08bff6b3f SHA512 9a94a47af43e479f28aa7c8243cd2e79f27df9f7a809fffaba58c42031aa858a7f7daa26f3f0b7d648eaa721d8163d1d840150089bba4bfa0f3cfd9a9b2338d4
DIST Lab-Measurement-3.721.tar.gz 615005 BLAKE2B 90982b7d5cbb1b62c3bd2444645649e39704d44e519e6484dabb3702fbdfccf82ea5af1c6ba31b5f75eca4a779eaac4d83cb6fe92232ae4bdde4618d7e5477a4 SHA512 4d5e493339c7d50f96dae999d1f2c2fe59e9e970862f4ac8747a4e9e89aad72e1c72801bffddcf9f1e7a434f9eb6b23a21f563cd1612fdb2b986af9ea118e731

Binary file not shown.

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Portably generate config for any shell"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~s390 ~sparc ~x86"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Make an educated guess about the shell in use"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~s390 ~sparc ~x86"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Test file attributes"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~ppc64 ~s390 ~sparc ~x86"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Check for memory leaks and circular memory references"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ppc ppc64 ~s390 ~sparc x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ppc ppc64 ~s390 ~sparc x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND="

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Handy utf8 tests"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~ppc64 ~s390 ~sparc ~x86"
IUSE=""
RDEPEND="

@ -1,2 +1,2 @@
DIST USB-LibUSB-0.05.tar.gz 65014 BLAKE2B 71713bde50703e3eb8df8bf7c2b88cc45647a0312089229d7bfce7abfbf596bfb1f82f5e8a73ebf383a0a0464780e44333fef005017b40220e8ac5e716801b02 SHA512 9c7c3f645c7bc9353df5878d44e562aaebcecdffdc5f192d1e50249983bb9afbc5adecb3aa530a9f4e81a09ad39382f0a2d75637462568c8214d66f6c9176230
DIST USB-LibUSB-0.06.tar.gz 65164 BLAKE2B c77530794f549be1df301ea5463a0fc71fdb0aa5086b0b1340eeabe4aab5d0c041bf8b8b55cc041cd90c7119417728eb36e08f1ab00ff8e8a29bb8fa08eb2103 SHA512 bee86c3fca7f366f4b9186442f04c642bca6c27357c7980f03be837349e5fb5a69dd568fda445b156a77ba0c9d840c1da9401dd9afd330c623e8c4f89e320137
DIST USB-LibUSB-0.09.tar.gz 65208 BLAKE2B 8808e5de0cda08a965c8b1c7ec5f1458d3d0768848a6e368ff86cc6dffd2febd56704b9cd08e24be9b14dbe6a26adefe46f5861beb7f1b59742b90805e8ed569 SHA512 97b2316ba71c509ed268777e212c27cb18b0fe3151cd7a4e6d4e67fd8983cc1b8db727d028459aff8b60c67ccee5a7ef5769d5e0caa98a890f45a7e2a0199b06

@ -1,9 +1,9 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DIST_VERSION=0.05
DIST_VERSION=0.09
DIST_AUTHOR=AMBA
KEYWORDS="~amd64 ~x86"
inherit perl-module

Binary file not shown.

@ -1,2 +1,3 @@
DIST sip-4.19.22.tar.gz 1050805 BLAKE2B 7382fdf74c5bb8b55bcedae74acdcb7b81ef06a64d129a9e6f11a5eb293900e37df513f1c4290f2299f49a5bd97e2a6b3c6bc32ddbf2eaf848bd5e5c5dc25edc SHA512 4d366e589945e589f69a3caf979076ef37e319ac0efdd8ec3cee4869da89e112832462215ca2e235036bacfade7efc4d530aa93e7492c283dc1b2503e08feea5
DIST sip-4.19.23.tar.gz 1053640 BLAKE2B 316c972a5cf7dd6464a418702e7d91192202330cf89a78d6ef480034ac8fc2f3f4cfedb85e6bc7d3d018bfe3d29ea767133db008dbfa521312e3aea2b96cff74 SHA512 a50c6202ebb6a5d1c98b6fc79925fa5d82236a944003854b057be9e2f7340d5cd689ba0e08f46f521736f3574c4089768c869bb8921e66b23944a31a832770f1
DIST sip-4.19.24.tar.gz 1055461 BLAKE2B 6990b127a83fa57bc084eb9a1097f73c384b4fcf3d181479557fe2ffc66cde254bfbb5aef26f5ddd84dca346f54184952e7a111adf3b665f68571853e63b6575 SHA512 c9acf8c66da6ff24ffaeed254c11deabbc587cea0eb50164f2016199af30b85980f96a2d754ae5e7fe080f9076673b1abc82e2a6a41ff2ac442fb2b326fca1c0

@ -0,0 +1,90 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
inherit python-r1 toolchain-funcs
DESCRIPTION="Private sip module for PyQt5"
HOMEPAGE="https://www.riverbankcomputing.com/software/sip/intro"
MY_PN=sip
MY_P=${MY_PN}-${PV/_pre/.dev}
if [[ ${PV} == *_pre* ]]; then
SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
else
SRC_URI="https://www.riverbankcomputing.com/static/Downloads/${MY_PN}/${PV}/${MY_P}.tar.gz"
fi
# Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h
SLOT="0/12"
LICENSE="|| ( GPL-2 GPL-3 SIP )"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
DEPEND="${PYTHON_DEPS}"
RDEPEND="${DEPEND}
!<dev-python/PyQt5-5.12.2
"
S=${WORKDIR}/${MY_P}
src_prepare() {
# Sub-slot sanity check
local sub_slot=${SLOT#*/}
local sip_api_major_nr=$(sed -nre 's:^#define SIP_API_MAJOR_NR\s+([0-9]+):\1:p' siplib/sip.h || die)
if [[ ${sub_slot} != ${sip_api_major_nr} ]]; then
eerror
eerror "Ebuild sub-slot (${sub_slot}) does not match SIP_API_MAJOR_NR (${sip_api_major_nr})"
eerror "Please update SLOT variable as follows:"
eerror " SLOT=\"${SLOT%%/*}/${sip_api_major_nr}\""
eerror
die "sub-slot sanity check failed"
fi
default
}
src_configure() {
configuration() {
local myconf=(
"${PYTHON}"
"${S}"/configure.py
--sip-module PyQt5.sip
--sysroot="${ESYSROOT}/usr"
--no-tools
AR="$(tc-getAR) cqs"
CC="$(tc-getCC)"
CFLAGS="${CFLAGS}"
CFLAGS_RELEASE=
CXX="$(tc-getCXX)"
CXXFLAGS="${CXXFLAGS}"
CXXFLAGS_RELEASE=
LINK="$(tc-getCXX)"
LINK_SHLIB="$(tc-getCXX)"
LFLAGS="${LDFLAGS}"
LFLAGS_RELEASE=
RANLIB=
STRIP=
)
echo "${myconf[@]}"
"${myconf[@]}" || die
}
python_foreach_impl run_in_build_dir configuration
}
src_compile() {
python_foreach_impl run_in_build_dir default
}
src_install() {
installation() {
emake DESTDIR="${D}" install
}
python_foreach_impl run_in_build_dir installation
einstalldocs
}

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{6,7,8} )
PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
PYTHON_COMPAT=( python3_{6..9} pypy3 )
inherit distutils-r1

@ -1 +1,2 @@
DIST bcrypt-3.1.7.tar.gz 42512 BLAKE2B 5e762f153a5a69c1426748737956fd370e74fcd02e82b5a634e74dbb50fc9e894bdadb4e87eb9cdc580d0853f73ef348d9523ceaf4236df565e39b714bbd1c60 SHA512 bb9a431c8de97d5615d1a7fb67f868d08d839313fd5f3e17d8db40db1870f8b624594352c24c163c6a03485217de873cd92578040350678888728885c7b749de
DIST bcrypt-3.2.0.tar.gz 42416 BLAKE2B ff9cca995e38fe27c6f02e9770e9349dfe528a1c9c18f41c72f29dfc01e981373fc0964f3a74161f2a7dddea63c5f48708539221adcd5a8ae99b7c30d7b1afd8 SHA512 aa782aa6a725434e0b0737973e33e6c2bf4e82d39e8dfba0913da5d7dd051d55217adab8004c3eaf896fc3c3e145ba543da1b5162a667a3d82a4eb6b07430b80

@ -0,0 +1,24 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
inherit distutils-r1
DESCRIPTION="Modern password hashing for software and servers"
HOMEPAGE="https://github.com/pyca/bcrypt/ https://pypi.org/project/bcrypt/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="Apache-2.0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris"
RDEPEND="
$(python_gen_cond_dep '>=dev-python/cffi-1.1:=[${PYTHON_USEDEP}]' 'python*')
>=dev-python/six-1.4.1[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}"
distutils_enable_tests pytest

@ -1,8 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{3_6,3_7,3_8} )
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1
@ -14,15 +15,18 @@ LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ppc64 x86"
DEPEND="
test? (
dev-python/freezegun[${PYTHON_USEDEP}]
)"
RDEPEND=""
DEPEND="test? ( dev-python/freezegun[${PYTHON_USEDEP}] )"
distutils_enable_tests pytest
src_install() {
distutils-r1_src_install
python_prepare_all() {
# bug 638250
eapply "${FILESDIR}"/${PN}-1.5.1-test-failure.patch
distutils-r1_python_prepare_all
}
python_install_all() {
dodoc README.rst HISTORY.rst CONTRIBUTING.rst AUTHORS.rst
distutils-r1_python_install_all
}

@ -0,0 +1,10 @@
--- a/tests/test_cached_property.py
+++ b/tests/test_cached_property.py
@@ -191,6 +191,7 @@
self.assert_cached(check, 2)
self.assert_cached(check, 2)
+ @unittest.skip("Gentoo Bug #638250")
def test_threads_ttl_expiry(self):
Check = CheckFactory(self.cached_property_factory(ttl=100000), threadsafe=True)
check = Check()

@ -13,7 +13,7 @@ fi
inherit ${SCM} distutils-r1
DESCRIPTION="Standalone Python library for the catkin package system"
HOMEPAGE="http://wiki.ros.org/catkin_pkg"
HOMEPAGE="https://wiki.ros.org/catkin_pkg"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
KEYWORDS=""

@ -13,7 +13,7 @@ fi
inherit ${SCM} distutils-r1
DESCRIPTION="Standalone Python library for the catkin package system"
HOMEPAGE="http://wiki.ros.org/catkin_pkg"
HOMEPAGE="https://wiki.ros.org/catkin_pkg"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
KEYWORDS=""

@ -13,7 +13,7 @@ fi
inherit ${SCM} distutils-r1
DESCRIPTION="Standalone Python library for the catkin package system"
HOMEPAGE="http://wiki.ros.org/catkin_pkg"
HOMEPAGE="https://wiki.ros.org/catkin_pkg"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
KEYWORDS=""

@ -1 +1 @@
DIST emcee-2.2.1.tar.gz 24277 BLAKE2B 26572cf242caa2f9f7018e91434d7ff8b235d59349fb7b034e52bbab77098ff952e84eb96d013b66853a763c8fccc0cdd7121a5387b5081dd238df85416cda0a SHA512 8f612a135fe5fc2bc75c2bc231d9210d4a70a91f5d7b94ac2161618c082d18aa1b896604b7ece166b86d93a93902e89ee9961da2a3e65307880c0dbc63bea267
DIST emcee-3.0.2.tar.gz 4054969 BLAKE2B 16b9ebd34b450f8fb92dc50f0652a34f06d20a027ff1cacd73474f4c74ecce7102d5eea54182598fc17175897980131742c0d60ef217b0dc8285c18406ef4d7f SHA512 517c447b9426eb97b72b6e3b21d77720b58a42fc1efe9495cf7ad8a0682841b8d7178a6f070641f68a09aef507e854ceefab9a54afe6baaca8b41f16f34dce9e

@ -1,29 +1,25 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
PYTHON_COMPAT=( python3_6 )
PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1
DESCRIPTION="Python ensemble sampling toolkit for affine-invariant MCMC"
HOMEPAGE="http://danfm.ca/emcee/"
HOMEPAGE="https://emcee.readthedocs.io/en/stable/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/nose[${PYTHON_USEDEP}] )"
RDEPEND="
dev-python/h5py[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}"
DOCS=( AUTHORS.rst README.rst )
distutils_enable_tests pytest
python_test() {
nosetests -v || die
}
DOCS=( AUTHORS.rst README.rst )

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{6,7,8} )
PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1 flag-o-matic
@ -11,30 +11,33 @@ DESCRIPTION="Simple Python interface to HDF5 files"
HOMEPAGE="https://www.h5py.org"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
# disable mpi until mpi4py gets python3_8
#IUSE="examples mpi"
IUSE="examples"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
# disable mpi until mpi4py gets python3_8
#IUSE="examples mpi"
IUSE="examples"
#RDEPEND="sci-libs/hdf5:=[mpi=,hl(+)]
RDEPEND="sci-libs/hdf5:=[hl(+)]
RDEPEND="
sci-libs/hdf5:=[hl(+)]
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]"
BDEPEND="dev-python/pkgconfig[${PYTHON_USEDEP}]"
# mpi? ( virtual/mpi )
DEPEND="dev-python/cython[${PYTHON_USEDEP}]
DEPEND="
${RDEPEND}
dev-python/cython[${PYTHON_USEDEP}]
doc? ( dev-python/alabaster[${PYTHON_USEDEP}] )
test? ( dev-python/QtPy[testlib,${PYTHON_USEDEP}]
dev-python/cached-property[${PYTHON_USEDEP}] )"
test? (
dev-python/QtPy[testlib,${PYTHON_USEDEP}]
dev-python/cached-property[${PYTHON_USEDEP}]
)"
# mpi? ( dev-python/mpi4py[${PYTHON_USEDEP}] )
PATCHES="${FILESDIR}/${P}-tests.patch"
PATCHES=( "${FILESDIR}"/${P}-tests.patch )
DOCS=( README.rst AUTHORS ANN.rst )
distutils_enable_tests setup.py

@ -7,3 +7,4 @@ DIST hypothesis-python-5.24.0.tar.gz 9040780 BLAKE2B 126a7e0a4d9df292445453035d4
DIST hypothesis-python-5.24.2.tar.gz 9050270 BLAKE2B 05043935afec77b23349b4973a2b3b9fafceba467754dcf3295d410561e3c76ff3c4b2996f5f14aea46b5b6a073e7db2a8be085d42df79ed6eb78eacd7539234 SHA512 88c1351b70355906cc57b667f2a863ac1334219e1721504ea76b1599d57fdf272a96263c365fe24882be9f83f28671998ebee28b0faea2190d9b6b39d2c2dc84
DIST hypothesis-python-5.24.3.tar.gz 9050345 BLAKE2B bfb47794edb3c1c6aee22e808a6d27af52f8176d307f9a585efa0f1e0d68adf9a902ed6f67405e77c6804f18e17a76486ab42f610807f6ee97535f950318a055 SHA512 7647d14ba805ad3ff6465e1d2c6d9104560c7ea31517777ab45e07da39efefa7109215d2f4074082620554ae4aa5ce5060bca5c923d11c14718f1efdae829986
DIST hypothesis-python-5.24.4.tar.gz 9054743 BLAKE2B 5c64c86ed58d8f0e4a07390b1b1b5e405878b9632bf14233e0515ad9d98ec6ddcc57bf39be6b61f53739d34e393b3af64c0d362880019d29a649a9523a0204e3 SHA512 147f4fa47b54bf3ec4dfcebf2a6c98cee26ea6780244ef99e181bada65978375ca7731ed05cb98f1b92f7a44a357faae374d97d489ec6e2318ff94e526cd9a40
DIST hypothesis-python-5.26.0.tar.gz 9062003 BLAKE2B 7a75c6fb2205944fc64100708c38417a5d3f1dd602a7fc14a464acb79e5d91b5513e9080e23c9ec5547edc6dbbe3b6a2c0425077a697a5656c0112d65adbaefd SHA512 8fc23a5e753cffe4a6a6b1be68fa96042933ef7ec8f8c4f88fbf0901996da9de576457647bea55ff2ceca4d71db322f927847258ca9bda90e1fac9f19c79a42b

@ -0,0 +1,68 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
PYTHON_REQ_USE="threads(+),sqlite"
inherit distutils-r1 eutils
DESCRIPTION="A library for property based testing"
HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
LICENSE="MPL-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="cli test"
RESTRICT="!test? ( test )"
RDEPEND="
>=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
>=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
cli? (
$(python_gen_cond_dep '
dev-python/black[${PYTHON_USEDEP}]
dev-python/click[${PYTHON_USEDEP}]
' python3_{6..8})
)
"
BDEPEND="
test? (
${RDEPEND}
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
>=dev-python/pytest-5.3.5[${PYTHON_USEDEP}]
!!<dev-python/typing-3.7.4.1
)
"
src_prepare() {
# avoid pytest-xdist dep for one test
sed -i -e 's:test_prints_statistics_given_option_under_xdist:_&:' \
tests/pytest/test_statistics.py || die
distutils-r1_src_prepare
}
python_prepare() {
if ! use cli || [[ ${EPYTHON} != python3.[678] ]]; then
sed -i -e '/console_scripts/d' setup.py || die
fi
}
python_test() {
pytest -vv tests/cover tests/pytest tests/quality ||
die "Tests fail with ${EPYTHON}"
}
pkg_postinst() {
optfeature "datetime support" dev-python/pytz
optfeature "dateutil support" dev-python/python-dateutil
optfeature "numpy support" dev-python/numpy
optfeature "django support" dev-python/django dev-python/pytz
optfeature "pandas support" dev-python/pandas
optfeature "pytest support" dev-python/pytest
}

@ -19,4 +19,9 @@
<remote-id type="pypi">hypothesis</remote-id>
<remote-id type="github">HypothesisWorks/hypothesis</remote-id>
</upstream>
<use>
<flag name="cli">
Install a CLI tool used to write tests.
</flag>
</use>
</pkgmetadata>

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{6,7} )
PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1
@ -17,7 +17,6 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="doc"
RDEPEND="
dev-python/notebook[${PYTHON_USEDEP}]
@ -26,9 +25,10 @@ RDEPEND="
dev-python/nbconvert[${PYTHON_USEDEP}]
dev-python/ipykernel[${PYTHON_USEDEP}]
dev-python/ipywidgets[${PYTHON_USEDEP}]"
DEPEND="doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
PDEPEND=">=dev-python/jupyter_core-4.2.0[${PYTHON_USEDEP}]"
distutils_enable_sphinx docs/source dev-python/sphinx_rtd_theme
PATCHES=( "${DISTDIR}"/${P}-file-colision.patch )
python_prepare_all() {
@ -39,12 +39,3 @@ python_prepare_all() {
distutils-r1_python_prepare_all
}
python_compile_all() {
use doc && emake -C docs html
}
python_install_all() {
use doc && HTML_DOCS=( "${S}"/docs/build/html/. )
distutils-r1_python_install_all
}

@ -1,3 +1,2 @@
DIST jupyter_client-5.3.4.tar.gz 275850 BLAKE2B a0884fb6cd2858b3ecf8353c6dc180370a53b4d59f77fdeb33c972c72857650e2e8b64ac5f6c9d223a99f30bb9ad9e06673cfe14b2d79abc0e4363104ffd15c3 SHA512 54b5206c08f5119feb50deb2d815d79a178799ad5c1231a0d03fc950ebbf6cb2f7c3a757024f788d416f808c57aa8476fcfa110f63182314bf2d5cdeb9a006cf
DIST jupyter_client-6.1.5.tar.gz 290829 BLAKE2B 7029703ebf7dccafd9c90835d9ed3305f591597947dabaef3fd670c7fd595bc8a8fa5258ad07b0bbe170c134f8f50593e980c2360de2521216fc061996268032 SHA512 b289b07f1300a7aa541b15ece33340fde7dd9765a200214668ad3a124ec7fd98c742f61417c9d31d6daff9ecc1aaaca6ec516f359cc26007731c0f8d859a73a9
DIST jupyter_client-6.1.6.tar.gz 292265 BLAKE2B 46f5b814577c8b1351ce42eb3de4a3032bb2917512f0c9cfc07fddc991698e192b628c03a9ce0d98817dfebcf4af0386fa4ee656b524f54c36de64781af3b8dd SHA512 9a443a2b4a86d823d1403a05d359b50ca95efb8e1dd992d331699e3fe2b46e5d4190cc55aa5d110a384fc0bb94abceaa4e36f67c0f7ce5a33f9ef3b11e682522

@ -1,37 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7} )
PYTHON_REQ_USE="threads(+)"
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
DESCRIPTION="Jupyter protocol implementation and client libraries"
HOMEPAGE="https://jupyter.org"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~arm64 x86"
IUSE="test"
RDEPEND="
dev-python/python-dateutil[${PYTHON_USEDEP}]
dev-python/traitlets[${PYTHON_USEDEP}]
dev-python/jupyter_core[${PYTHON_USEDEP}]
>=dev-python/pyzmq-14.4.0[${PYTHON_USEDEP}]
www-servers/tornado[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
test? ( dev-python/ipykernel[${PYTHON_USEDEP}]
dev-python/ipython[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}] )"
distutils_enable_tests pytest
python_test() {
pytest -vv jupyter_client || die
}

@ -16,15 +16,14 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
IUSE="test"
RDEPEND="
dev-python/async_generator[${PYTHON_USEDEP}]
dev-python/python-dateutil[${PYTHON_USEDEP}]
dev-python/traitlets[${PYTHON_USEDEP}]
dev-python/jupyter_core[${PYTHON_USEDEP}]
>=dev-python/pyzmq-14.4.0[${PYTHON_USEDEP}]
www-servers/tornado[${PYTHON_USEDEP}]
"
www-servers/tornado[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
test? (
dev-python/ipykernel[${PYTHON_USEDEP}]

@ -0,0 +1,15 @@
Very slow CIs take longer on this test
--- a/jupyter_console/tests/test_console.py
+++ b/jupyter_console/tests/test_console.py
@@ -65,8 +65,8 @@
except IOError:
raise SkipTest("Couldn't find command %s" % cmd)
- # timeout after one minute
- t = 60
+ # timeout after 5 minutes
+ t = 300
idx = p.expect(r'In \[\d+\]', timeout=t)
return p, pexpect, t

@ -20,27 +20,27 @@ RDEPEND="
dev-python/ipykernel[${PYTHON_USEDEP}]
dev-python/jupyter_client[${PYTHON_USEDEP}]
<dev-python/prompt_toolkit-3.1.0[${PYTHON_USEDEP}]
dev-python/pygments[${PYTHON_USEDEP}]
"
dev-python/pygments[${PYTHON_USEDEP}]"
# util-linux provides script(1)
BDEPEND="
test? (
dev-python/pexpect[${PYTHON_USEDEP}]
sys-apps/util-linux
)
"
)"
distutils_enable_sphinx docs
distutils_enable_tests nose
PATCHES=(
"${FILESDIR}"/${P}-py39.patch
"${FILESDIR}"/${P}-increase-test-timeout.patch
)
src_prepare() {
python_prepare_all() {
# use setuptools unconditionally
sed -i -e 's:distutils\.core:setuptools:' setup.py || die
distutils-r1_src_prepare
distutils-r1_python_prepare_all
}
python_test() {

@ -1,2 +1 @@
DIST jupyter_core-4.6.1.tar.gz 66693 BLAKE2B f4338a015ac4b3e0a7cd2497a660bfca0deb96ffa2371fa9c72656f8a68b6f80fe5d494be79c8fdccbcb51f3d9122fd7d4b3e36864d38e7da1c5029c6b1aa24d SHA512 baf0c5db4f78a3cee83940ace80b48ba308c47eeafcf584120b8ba82768c15448fb789ec5b9ac8d541cbd1bfdd47a988f79130675c5943a67d3135d428b43cbe
DIST jupyter_core-4.6.3.tar.gz 67305 BLAKE2B 7c6a32bd8ce773b7bc4156eabf75597112716632179736b19be4b0e73eba7c5c67a0c9d2d141b952d72b68aff826227b0004a3bc9f3b286b68eb1375f2316bdb SHA512 3c7370c24a4cf53c9747e9e411852d207c0c7035809dab7cb018ccb53e19208df25ad4f728531e47f3a42c4d9694c3e1ed7b03133de23bcbdeb346c319f5f51f

@ -1,49 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
DESCRIPTION="Core common functionality of Jupyter projects"
HOMEPAGE="https://jupyter.org"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~arm64 x86"
IUSE="doc test"
RDEPEND="dev-python/traitlets[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
doc? ( dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-github-alt[${PYTHON_USEDEP}] )
test? ( >=dev-python/ipython-4.0.1[${PYTHON_USEDEP}] )"
distutils_enable_tests pytest
python_prepare_all() {
# Prevent un-needed download during build
if use doc; then
sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/conf.py || die
fi
distutils-r1_python_prepare_all
}
python_compile_all() {
if use doc; then
emake -C docs html
HTML_DOCS=( docs/_build/html/. )
fi
}
python_test() {
distutils_install_for_testing
cd "${TEST_DIR}"/lib || die
py.test jupyter_core || die
}

@ -18,17 +18,20 @@ KEYWORDS="amd64 arm64 x86"
RDEPEND="dev-python/traitlets[${PYTHON_USEDEP}]"
BDEPEND="
test? ( >=dev-python/ipython-4.0.1[${PYTHON_USEDEP}] )"
test? (
>=dev-python/ipython-4.0.1[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
)"
distutils_enable_sphinx docs \
dev-python/sphinxcontrib-github-alt
distutils_enable_tests pytest
src_prepare() {
python_prepare_all() {
# rely on imports working without PYTHONPATH
sed -e 's:test_not_on_path:_&:' \
-e 's:test_path_priority:_&:' \
-i jupyter_core/tests/test_command.py || die
distutils-r1_src_prepare
distutils-r1_python_prepare_all
}

@ -1 +1,2 @@
DIST libtmux-v0.8.2.tar.gz 117077 BLAKE2B 52e9c7c47911797e9d2446e7fbc836f9482912e255c05d9b329d4a33f5f03d0bfad4df492902eff5605180f90efcd81a7e432174646cb2051b0f9dfa6615a91a SHA512 e5f3768f4ddd746c5380a92899961be05b1b6c567d9333720b0fd9ed124131671bbecf1c04a7c4e658092424b6dc89dd656ba559385b0a6f673f9895dd6c829c
DIST libtmux-v0.8.3.tar.gz 131928 BLAKE2B 7979dc907d5c7805cf56422aa0fed554c89f0b50cf1f13b150809a1c7e24b0eab125701eada0431212afccc26f6479642c886b3f701c8c2ffc9c3ebb7d08c4cc SHA512 f7c5a84f16b400db672318d3c0b79cd8f328a0096d32349f6ce9360d72eecd75ed9915af5c37950adadd81943130b543716d718366522efee7780813a2c1a5d6

@ -0,0 +1,33 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
DISTUTILS_USE_SETUPTOOLS=bdepend
inherit distutils-r1
DESCRIPTION="python api for tmux"
HOMEPAGE="https://libtmux.git-pull.com/"
SRC_URI="https://github.com/tmux-python/${PN}/archive/v${PV}.tar.gz -> ${PN}-v${PV}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
RDEPEND=">=app-misc/tmux-3.0a"
distutils_enable_tests pytest
distutils_enable_sphinx doc \
dev-python/alagitpull \
dev-python/docutils
python_prepare_all() {
# avoid a dependency on sphinx_issues
local issues="https://github.com/tmux-python/libtmux/issues/"
sed -i "s:'sphinx_issues',::" doc/conf.py || die
sed -r -i "s|:issue:\`([[:digit:]]+)\`|\`issue \1 ${issues}\1\`|" CHANGES || die
rm requirements/doc.txt || die
distutils-r1_python_prepare_all
}

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
PYTHON_COMPAT=( python3_{6..9} pypy3 )
inherit distutils-r1

@ -1 +1,2 @@
DIST node-semver-0.7.0.tar.gz 18090 BLAKE2B 669da955b62c35be1a0fccbdce8c66c9de915c5498052858f9f0ebe6a07109947314c904b2077b4306b8fea9f1d0747ab7dcb63a803b00555320e44ea0a59081 SHA512 9e11af16ce7a9a7f2aacd77ff14c8aa574e62bc27f902860b97fda5cc8ee19f54118e90ca39241741da657b87ec2653239b0c4255570ffe4d1ad49e2c9484e74
DIST node-semver-0.8.0.tar.gz 18449 BLAKE2B 171374808e18b1f3fc2807abb9b99ecfe18a392afbc59ad056f0524e374ef4a27e5a56acf0c3927c6f351503981d743e4e63f108bf0e5bd5eda62f04e24191d4 SHA512 665ae0dbced16e0f05306614b1577464aa1bdac666b35cf2e7ad4b8844a6814dc7e8672f0dff3043c7bd048aa455d671efd268052ac59166293b91d1dff17784

@ -0,0 +1,29 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( pypy3 python3_{6,7,8,9} )
# entry_points is present in setup.py but it is empty
DISTUTILS_USE_SETUPTOOLS=manual
inherit distutils-r1
DESCRIPTION="Python version of node-semver, the semantic versioner for npm"
HOMEPAGE="
https://pypi.org/project/node-semver/
https://github.com/podhmo/python-semver
https://github.com/npm/node-semver
"
# 0.8.0 has no tarball on PyPi
# https://github.com/podhmo/python-semver/issues/43
SRC_URI="https://github.com/podhmo/python-semver/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/python-semver-${PV}"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
distutils_enable_tests pytest

@ -1,3 +1,4 @@
DIST phonenumbers-8.12.4.tar.gz 2269009 BLAKE2B 102630893595fa34f8e5bf3dc5122f43393e26ada216df02e843a40345aa40df83aa6fbf115d71e986a7e57e6a55bd6fd4eb4af14c4872bfe717cb0ec5be604c SHA512 5d93de2b7b6e974593659fb8909c05f2f6f8c29766deea914472b01dde38abdfc9f4f6ee8c718e2ad11e840070b350b623cb9ca58368f24cf1e03804712fa38d
DIST phonenumbers-8.12.6.tar.gz 2249614 BLAKE2B 5dd062cecf424bba0263e92c847161069e998e1b1ee26e273939996dadc1cca302ee4b567f083d58791717633db2ddd6263e625db01639e7fdb61187092f26d2 SHA512 1f79e7bd469861c6100ab4ea88f0b20cb5534e97a8da39f8681b4d201d21d2bbac1948bd49c08c474cb0b129a2c1228f7c5b664dc6033e6f4d2dd79d130897d2
DIST phonenumbers-8.12.7.tar.gz 2249620 BLAKE2B 198e70c7462f27fa969a7c249d1b7cbb9a3babb3eeee9b2ab70ec6675e94a87845371b6d2fc9f339f21e3f69618f8ce7541372121008c5c6969801a503f2e6c9 SHA512 204dec64bc4087c25171e04cdb9a41295c128d1fef5df7294108e69177673c6728e11837bf7fd57fc1cc2f88bb49161f346c81f5689af99016279db4d346aa43
DIST phonenumbers-8.12.8.tar.gz 2249617 BLAKE2B e02f851774bee9806f01b0359ea4e159c8c890a815edf45f19162dc35972aaa3c84f9e2e19a51ef3efb053d4e307a4d3a31b664a7fffc7c4ffe9a7c6c281ae86 SHA512 0897a5298b5aaee7c0775e12cbe35a6e25b85a1836d8302abc5eee7e327fc559bc06f3130c63ac5aa14207900d1615f3a7cd4137d6561855e4ad38b6e4af220f

@ -5,6 +5,10 @@
<email>cedk@gentoo.org</email>
<name>Cédric Krier</name>
</maintainer>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<stabilize-allarches/>
<upstream>
<remote-id type="pypi">phonenumbers</remote-id>

@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
DOCS=(README.md)

@ -0,0 +1,20 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1
DESCRIPTION="Python port of Google's libphonenumber"
HOMEPAGE="https://github.com/daviddrysdale/python-phonenumbers"
SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DOCS=(README.md)
distutils_enable_tests setup.py

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
PYTHON_COMPAT=( python3_{6..9} pypy3 )
DISTUTILS_USE_SETUPTOOLS=pyproject.toml
inherit distutils-r1

@ -13,7 +13,7 @@ fi
inherit ${SCM} distutils-r1
DESCRIPTION="Tools to work with catkinized rosdistro files"
HOMEPAGE="http://wiki.ros.org/rosdistro"
HOMEPAGE="https://wiki.ros.org/rosdistro"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
KEYWORDS=""

@ -13,7 +13,7 @@ fi
inherit ${SCM} distutils-r1
DESCRIPTION="Tools to work with catkinized rosdistro files"
HOMEPAGE="http://wiki.ros.org/rosdistro"
HOMEPAGE="https://wiki.ros.org/rosdistro"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
KEYWORDS=""

@ -13,7 +13,7 @@ fi
inherit ${SCM} distutils-r1
DESCRIPTION="Standalone Python library for the ROS package system"
HOMEPAGE="http://wiki.ros.org/rospkg"
HOMEPAGE="https://wiki.ros.org/rospkg"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
KEYWORDS=""

@ -13,7 +13,7 @@ fi
inherit ${SCM} distutils-r1
DESCRIPTION="Standalone Python library for the ROS package system"
HOMEPAGE="http://wiki.ros.org/rospkg"
HOMEPAGE="https://wiki.ros.org/rospkg"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
KEYWORDS=""

@ -13,7 +13,7 @@ fi
inherit ${SCM} distutils-r1
DESCRIPTION="Standalone Python library for the ROS package system"
HOMEPAGE="http://wiki.ros.org/rospkg"
HOMEPAGE="https://wiki.ros.org/rospkg"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
KEYWORDS=""

@ -13,7 +13,7 @@ fi
inherit ${SCM} distutils-r1
DESCRIPTION="Standalone Python library for the ROS package system"
HOMEPAGE="http://wiki.ros.org/rospkg"
HOMEPAGE="https://wiki.ros.org/rospkg"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
KEYWORDS=""

@ -1,2 +1,3 @@
DIST sip-4.19.22.tar.gz 1050805 BLAKE2B 7382fdf74c5bb8b55bcedae74acdcb7b81ef06a64d129a9e6f11a5eb293900e37df513f1c4290f2299f49a5bd97e2a6b3c6bc32ddbf2eaf848bd5e5c5dc25edc SHA512 4d366e589945e589f69a3caf979076ef37e319ac0efdd8ec3cee4869da89e112832462215ca2e235036bacfade7efc4d530aa93e7492c283dc1b2503e08feea5
DIST sip-4.19.23.tar.gz 1053640 BLAKE2B 316c972a5cf7dd6464a418702e7d91192202330cf89a78d6ef480034ac8fc2f3f4cfedb85e6bc7d3d018bfe3d29ea767133db008dbfa521312e3aea2b96cff74 SHA512 a50c6202ebb6a5d1c98b6fc79925fa5d82236a944003854b057be9e2f7340d5cd689ba0e08f46f521736f3574c4089768c869bb8921e66b23944a31a832770f1
DIST sip-4.19.24.tar.gz 1055461 BLAKE2B 6990b127a83fa57bc084eb9a1097f73c384b4fcf3d181479557fe2ffc66cde254bfbb5aef26f5ddd84dca346f54184952e7a111adf3b665f68571853e63b6575 SHA512 c9acf8c66da6ff24ffaeed254c11deabbc587cea0eb50164f2016199af30b85980f96a2d754ae5e7fe080f9076673b1abc82e2a6a41ff2ac442fb2b326fca1c0

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save